MWAWPresentationListenerInternal::GraphicState Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
MWAWPresentationListenerInternal::GraphicState Struct Reference

the global graphic state of MWAWPresentationListener More...

## Public Member Functions
| GraphicState (std::vector< MWAWPageSpan > const &pageList)
| constructor More...
GraphicState & | operator= (GraphicState const &)=default
| ~GraphicState ()
| destructor More...

## Public Attributes
std::vector< MWAWPageSpan > | m_pageList
| the pages definition More...
librevenge::RVNGPropertyList | m_metaData
| the document meta data More...
bool | m_isDocumentStarted
| a flag to know if the document is open More...
bool | m_isPageSpanOpened
| true if a page is open More...
bool | m_isMasterPageSpanOpened
| true if a masterpage is open More...
bool | m_isAtLeastOnePageOpened
| true if the first page has been open More...
bool | m_isHeaderFooterStarted
| a flag to know if the header footer is started More...
MWAWPageSpan | m_pageSpan
| ! the current page span More...
std::vector< int > | m_sentListMarkers
| the list of marker corresponding to sent list More...
std::vector< MWAWSubDocumentPtr > | m_subDocuments
| the list of actual subdocument More...
MWAWSection | m_section
| empty section used to return a section in getSection More...

## Detailed Description

the global graphic state of MWAWPresentationListener

## Constructor & Destructor Documentation

## ◆ GraphicState()

MWAWPresentationListenerInternal::GraphicState::GraphicState | ( | std::vector< MWAWPageSpan > const & | pageList | ) |
| inlineexplicit

constructor

## ◆ ~GraphicState()

MWAWPresentationListenerInternal::GraphicState::~GraphicState | ( |  | ) |
| inline

destructor

## Member Function Documentation

## ◆ operator=()

GraphicState& MWAWPresentationListenerInternal::GraphicState::operator= | ( | GraphicState const & |  | ) |
| default

## Member Data Documentation

## ◆ m_isAtLeastOnePageOpened

bool MWAWPresentationListenerInternal::GraphicState::m_isAtLeastOnePageOpened

true if the first page has been open

## ◆ m_isDocumentStarted

bool MWAWPresentationListenerInternal::GraphicState::m_isDocumentStarted

a flag to know if the document is open

## ◆ m_isHeaderFooterStarted

bool MWAWPresentationListenerInternal::GraphicState::m_isHeaderFooterStarted

a flag to know if the header footer is started

## ◆ m_isMasterPageSpanOpened

bool MWAWPresentationListenerInternal::GraphicState::m_isMasterPageSpanOpened

true if a masterpage is open

## ◆ m_isPageSpanOpened

bool MWAWPresentationListenerInternal::GraphicState::m_isPageSpanOpened

true if a page is open

## ◆ m_metaData

librevenge::RVNGPropertyList MWAWPresentationListenerInternal::GraphicState::m_metaData

the document meta data

## ◆ m_pageList

std::vector<MWAWPageSpan> MWAWPresentationListenerInternal::GraphicState::m_pageList

the pages definition

## ◆ m_pageSpan

MWAWPageSpan MWAWPresentationListenerInternal::GraphicState::m_pageSpan

! the current page span

## ◆ m_section

MWAWSection MWAWPresentationListenerInternal::GraphicState::m_section

empty section used to return a section in getSection

## ◆ m_sentListMarkers

std::vector<int> MWAWPresentationListenerInternal::GraphicState::m_sentListMarkers

the list of marker corresponding to sent list

## ◆ m_subDocuments

std::vector<MWAWSubDocumentPtr> MWAWPresentationListenerInternal::GraphicState::m_subDocuments

the list of actual subdocument

The documentation for this struct was generated from the following file:

- MWAWPresentationListener.cxx